Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Interface JavaUtils.ConvertCache

All Known Implementing Classes:
  ArrayDeserializer.ArrayListExtension

Enclosing interface:
  JavaUtils

public static interface JavaUtils.ConvertCache

It the argument to the convert(...) method implements the ConvertCache interface, the convert(...) method will use the set/get methods to store and retrieve converted values.

Method Summary
`java.lang.Object` | `getConvertedValue(java.lang.Class cls)`
`java.lang.Class` | `getDestClass()` Get the destination array class described by the xml
`void` | `setConvertedValue(java.lang.Class cls, java.lang.Object value)` Set/Get converted values of the convert method.

Method Detail

### setConvertedValue

    public void setConvertedValue(java.lang.Class cls,
                                  java.lang.Object value)

  Set/Get converted values of the convert method.

### getConvertedValue

    public java.lang.Object getConvertedValue(java.lang.Class cls)

### getDestClass

    public java.lang.Class getDestClass()

  Get the destination array class described by the xml

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.